#!/bin/sh
# Just install few modules
# Installe a module if a given control file exist
installif(){
	if [ -e $1 ]; then
		grep '^module.list.*'"$1"'$' /etc/conf.linuxconf >/dev/null 2>&1 || \
		linuxconf --setmod $2
	fi
}

installif ()
{
	[ -f "$1" ] && installmod $2
}

installmod redhatppp
installmod modemconf
installmod inittab
installmod motd
installif /etc/quota.conf diskquotaconf
installif /etc/named.boot dnsconf
installif /etc/named.conf dnsconf
installif /etc/sendmail.cf mailconf
installif /etc/mail/sendmail.cf mailconf
installif /etc/smb.conf samba
installif /etc/samba/smb.conf samba
installif /etc/httpd/conf/httpd.conf apache
installif /etc/ftpaccess wuftpd
installif /etc/dhcpd.conf dhcpd
installif /etc/inetd.conf inetdconf
installif /etc/xinetd.conf inetdconf
installif /etc/syslog.conf syslogconf
installif /etc/ppp/pppoe.connect pppoe
installif /etc/ssh/sshd_config opensshd
installif /etc/ircd/ircd.conf ircdconf
installif /etc/printcap printer
installif /etc/amanda amandaconf
installif /boot/map liloconf
installif /boot/grub/menu.lst grubconf
installif /etc/security pamconf
installif /etc/postfix/main.cf postfixconf
installif /etc/exports nfsconf


# Install the dialout module if they are some *.dconf
NBDCONF=`ls /etc/ppp/*.dconf 2>/dev/null | wc -l`
NBDCONF=`expr $NBDCONF`
if [ "$NBDCONF" != "0" ] ; then
	linuxconf --setmod dialout
fi
linuxconf --setmod shellmod
linuxconf --setmod kernelconf
linuxconf --setmod updatemon
linuxconf --setmod report
linuxconf --setmod vregistry

case `/bin/arch` in
	i386|i486|i586|i686)
		echo Enabling module isapnpconf
		linuxconf --setmod isapnpconf
		;;
esac

